<?php

namespace Drupal\commerce_recruiting\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure Commerce Recruiting settings for this site.
 */
class SettingsForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'commerce_recruiting_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return ['commerce_recruiting.settings'];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form['write_recruitment_transition_log'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Write recruitment transition logs'),
      '#default_value' => $this->config('commerce_recruiting.settings')->get('write_recruitment_transition_log') ?? TRUE,
    ];
    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->config('commerce_recruiting.settings')
      ->set('write_recruitment_transition_log', $form_state->getValue('write_recruitment_transition_log'))
      ->save();
    parent::submitForm($form, $form_state);
  }

}
